Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## codeanticode.proscene
Enum PScene.ClickAction

    java.lang.Object
      java.lang.Enum<PScene.ClickAction>
          codeanticode.proscene.PScene.ClickAction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PScene.ClickAction>

Enclosing class:
  PScene

    public static enum PScene.ClickAction

extends java.lang.Enum<PScene.ClickAction>

Enum Constant Summary
`ALIGN_CAMERA`
`ALIGN_FRAME`
`CENTER_FRAME`
`CENTER_SCENE`
`NO_CLICK_ACTION`
`RAP_FROM_PIXEL`
`RAP_IS_CENTER`
`SELECT`
`SHOW_ENTIRE_SCENE`
`ZOOM_ON_PIXEL`
`ZOOM_TO_FIT`

Method Summary
`static PScene.ClickAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PScene.ClickAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_CLICK_ACTION

    public static final PScene.ClickAction NO_CLICK_ACTION

### ZOOM_ON_PIXEL

    public static final PScene.ClickAction ZOOM_ON_PIXEL

### ZOOM_TO_FIT

    public static final PScene.ClickAction ZOOM_TO_FIT

### SELECT

    public static final PScene.ClickAction SELECT

### RAP_FROM_PIXEL

    public static final PScene.ClickAction RAP_FROM_PIXEL

### RAP_IS_CENTER

    public static final PScene.ClickAction RAP_IS_CENTER

### CENTER_FRAME

    public static final PScene.ClickAction CENTER_FRAME

### CENTER_SCENE

    public static final PScene.ClickAction CENTER_SCENE

### SHOW_ENTIRE_SCENE

    public static final PScene.ClickAction SHOW_ENTIRE_SCENE

### ALIGN_FRAME

    public static final PScene.ClickAction ALIGN_FRAME

### ALIGN_CAMERA

    public static final PScene.ClickAction ALIGN_CAMERA

Method Detail

### values

    public static PScene.ClickAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PScene.ClickAction c : PScene.ClickAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PScene.ClickAction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

processing library glgraphics by Andres Colubri. (c) 2008